Package org.h2.test.store

# Class SequenceMap.Builder

java.lang.Object
org.h2.mvstore.MVMap.BasicBuilder<MVMap<K,V>,K,V>
org.h2.mvstore.MVMap.Builder<Long,Long>
org.h2.test.store.SequenceMap.Builder

All Implemented Interfaces:
  `MVMap.MapBuilder<MVMap<Long,Long>,Long,Long>`

Enclosing class:
  SequenceMap

public static class SequenceMap.Builder extends MVMap.Builder<Long,Long>
A builder for this class.

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`SequenceMap`
`create(Map<String,Object> config)`
Create map from config.

### Methods inherited from class org.h2.mvstore.MVMap.Builder

`keyType, singleWriter, valueType`

### Methods inherited from class org.h2.mvstore.MVMap.BasicBuilder

`create, getKeyType, getValueType, setKeyType, setValueType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### create

public SequenceMap create(Map<String,Object> config)
Description copied from class: `MVMap.BasicBuilder`
Create map from config.

Overrides:
  `create` in class `MVMap.Builder<Long,Long>`
Parameters:
  `config` - config map
Returns:
  new map